Subject: Re: bug#49372: lagrange: illegal instruction

From: Efraim Flashner <[email-masked]>
Date: Sun, 4 Jul 2021 22:09:57 +0300

On Sat, Jul 03, 2021 at 07:32:45PM -0800, Christopher Howard wrote:
> Hi, I've discovered lagrange is another one of those packages which, if I use a substitute, it gives the error "illegal instruction" when I try to run it. but if I download the source and build it
> myself, I have no trouble running it. I'm certain without any research that this is a reproducibility error, due to native instructions not on my processor, but I could do the guix challenge if
> somebody could remind me exactly how to tell guix to rebuild that one package from source.
> 

I found that there is a spot in the code where it tests if the compiling
computer can support sse4.1, and if so then it enables it. I've added a
configure-flag to disable that. Can you test the new version?

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted